---
description: List of known trustworthy public nodes.
---

# Nodes

Official node source code, deployment guide: [https://github.com/vechain/thor](https://github.com/vechain/thor)

## TestNet

* https://testnet.vecha.in (Official)
* https://sync-testnet.vechain.org (Official)
* https://vethor-node-test.vechaindev.com (Official)
* https://testnet.veblocks.net ([by VeBlocks](https://github.com/mirei83/VeChain-PublicNodes)) (proxied by CloudFlare)
  * Alternative: https://testnet02.vechain.fi.blockorder.net
  * Alternative: https://testnet02.vechain.de.blockorder.net

## MainNet

* https://mainnet.vecha.in (Official)
* https://sync-mainnet.vechain.org (Official)
* https://vethor-node.vechain.com (Official)
* https://mainnet.veblocks.net ([by VeBlocks](https://github.com/mirei83/VeChain-PublicNodes)) (proxied by CloudFlare)
  * Alternative: https://mainnet02.vechain.fi.blockorder.net
  * Alternative: https://mainnet02.vechain.de.blockorder.net
* https://node.vechain.energy (by [vechain.energy](https://vechain.energy))
